<template>
  <label class="radio">
    <input
      type="radio"
      :name="name"
      :value="value"
      class="radio__input"
      v-on:change="$emit('handle-change', $event)"
    />
    <span class="radio__ellipse"></span>
    <span class="radio__label" v-text="value"></span>
  </label>
</template>
<script>
export default {
  name: "RadioComponent",
  emits: ["handle-change"],
  props: {
    value: {
      type: String,
    },
    name: {
      type: String,
    },
  },
};
</script>
<style lang="scss">
.radio {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  &__label {
    font-size: 12px;
  }
  &__input {
    display: none;
    &:checked ~ .radio__ellipse {
      background: #bfbfbf;
      &::before {
        visibility: visible;
      }
    }
  }
  &__ellipse {
    width: 18px;
    height: 18px;
    display: flex;
    margin-right: 16px;
    border-radius: 50%;
    position: relative;
    background: #e6e6e6;
    box-sizing: border-box;
    border: 2px solid #b3b3b3;
    &::before {
      content: "";
      width: 10px;
      height: 10px;
      margin: auto;
      visibility: hidden;
      background: url("../assets/checked.svg") no-repeat center;
      background-size: contain;
    }
  }
}
</style>